Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 117467 (keri) - Packages reassignment: Keri Harris (keri)
Summary: Packages reassignment: Keri Harris (keri)
Status: RESOLVED WONTFIX
Alias: keri
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: Retirement (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Retirement Admin
URL:
Whiteboard: first-mail-sent: 2017-06-22
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-02 09:53 UTC by George Shapovalov (RETIRED)
Modified: 2017-07-03 08:00 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Shapovalov (RETIRED) gentoo-dev 2006-01-02 09:53:01 UTC
I would like to propose a new recruit - Keri Harris, to help me and pvdabeel
and potentially take over maintainership of the prolog herd (unless Pieter
will have any reservations of course). You may remember Keri form the email he
sent to recruiters CC'ng the prolog herd on Dec 25. Since then we developed
strategy of dealing with some prolog compilers and Keri started implementing
modifications and reacting to my remarks to his submissions (relevant bugs:
#115008, #116567, #116843).

Keri is from New Zealand, but he will provide necessary personal info in a due course, with a quiz, which he will send in shortly (I saw it and just had a few minor remarks). He has registered a nick "keri" on freenode at my request.
Keri: you may email the quiz to the recruiters now..

Mentors: me (I am submitting the bug, so no CC, but added prolog herd),
Pieter: would you like to join the discussion on what we do with swi-prolog?

Project lead: that would be me too, as I created the herd in the first place
and, clearly, I approve the bug :).

One thing that I need to mention is that in February I will be "off" for ~ 3 week (from the beginning till around 20th), with a limited Internet access. I'll be checking the email, but not much in terms of training or commits. So we need to work around that time. Either by delaying giving Keri cvs access or by rushing it by about a week, so that we could do commits of ready stuff before I leave. I think the first option is what the recruiters will want to do. Although, if you think we can do the second it should be possible as well - looks like we pretty much got the major stuff sorted so, of the larger stuff, we are left with a few commits. Then it is a general maintainership time.. 
Another option, of course, if to find somebody to oversee him during this time, but I am not sure we will easily find anybody interested in prolog. Still, looks like Keri would know more than any one of us about it (he is involved with swi-prolog upstream), so he will just need general guidance.

George
Comment 1 George Shapovalov (RETIRED) gentoo-dev 2006-01-14 09:05:47 UTC
Recruiters:

Any progress on this bug? It has been two weeks since I submitted it and Keri sent you the first quiz. The prolog work goes fine and I am now going to commit one of the resolutions (#116567) since it deals with a small reorganization of swi-prolog and there is a wait period between some actions, but I would like to hold off with the other commits to make them together with Keri (for the stuff that waits).

I am going off on 29th of Jan until Feb 23rd and I would like to see some progress on this bug before I leave. I think you can send Keri the second quiz if you are satisfied with the first..
(Just to make it clear, I do understand that the only reasonable expectation is that we complete his training period when I return, but seeing no action on this bug I feel I need to push for some :)). 

George
Comment 2 Keri Harris gentoo-dev 2006-01-25 10:14:10 UTC
A quick update on my availability during the period 30/01/06 - 05/02/06:
I'm moving house and internet connectivity will be patchy during that period. I will still be contactable through my work email (keri.harris at securitease dot com). During the brief interlude I'll be busy with porting some prolog apps to Gentoo. :)
Comment 3 Bryan Østergaard (RETIRED) gentoo-dev 2006-01-28 04:07:56 UTC
George, are you happy with the quiz answers?

Also, if needed I can help Keri through the first few commits etc. so we don't have to wait for George to get back.
Comment 4 George Shapovalov (RETIRED) gentoo-dev 2006-01-28 06:42:59 UTC
(In reply to comment #3)
> George, are you happy with the quiz answers?
Yes, I started the bug only when I was satisfied with them, which actually took only 1.5 iterations (just minor stuff in his first responce to me).
As I understand (from reading that mentoring guide) he is due to get his 2nd quiz now..

> 
> Also, if needed I can help Keri through the first few commits etc. so we don't
> have to wait for George to get back.
Thanks Bryan! That would help a lot to move this ahead. I meant to do a commit of swi-prolog before I leave, since there needs to be a wait period after swi-prolog is committed and swi-prolog-lite is cleaned up, and then go through the rest of commits with Keri when he is set up, but I got too tied up in the lab last week and now I am leaving early morning tomorrow.. 
So, if you do that, I'd suggest that you start with bug #116567.

Thanks again!

George
Comment 5 Keri Harris gentoo-dev 2006-02-06 15:38:53 UTC
Another update: net connectivity at home is scheduled to be up and running on 08/02/06. My set of answers to the second quiz will be emailed shortly thereafter.

I've made good use of the time without a net connection writing ebuilds for yap, xsb, qu-prolog, tuprolog and interprolog. :)
Comment 6 Pieter Van den Abeele (RETIRED) gentoo-dev 2006-02-18 19:05:21 UTC
Hi Keri, 

If there's anything I can do to help you, since george is away from Gentoo till the 23th, please let me know. Happy to help you out and support your developer application.

Keri, swi-prolog-lite on Gentoo installs without various swi-prolog libraries such as the odbc interface etc.    perhaps as a test to satisfy those crazy recruiter guys who might think that we bring on just about everybody as a Gentoo developer, can you make me an swi-prolog ebuild that installs those libraries? I've got a version in my overlay which does exactly that and would love to see how you tacle a particular problem (if it still exists). Apologies for the late reply.

Best regards,

Pieter Van den Abeele
Comment 7 Pieter Van den Abeele (RETIRED) gentoo-dev 2006-02-18 19:22:15 UTC
Damn, you're too fast. You already submitted a patch two days ago in bug #115297

So, I guess for me that means that I fully support your application. If there's anything other I can do to help you until george returns, please let me know.

Pieter
Comment 8 George Shapovalov (RETIRED) gentoo-dev 2006-02-27 04:48:06 UTC
So, I am back :).
Posting to the bug, rather than replying to email, so that it "registers" and I have a question to releng as well (below).

Well, actually I'd like to take a few more days to get stuff sorted out here in the lab before I get back here. Meanwhile,

Keri:
Thanks for sending me the answers to the 2nd quiz, but I do not have the questions :). Is this quiz published somewhere? I could not find it referenced in the usual places (where the 1st one is). If not, then could you (or releng) please send me the questions? Or is this quiz to be reviewed by releng only?

George
Comment 9 Keri Harris gentoo-dev 2006-02-27 10:36:48 UTC
Welcome back George!

I've sent you a copy of the questions to the end of mentoring quiz. It can also be found online at http://www.gentoo.org/proj/en/devrel/quiz/end-quiz.txt :)

Keri.
Comment 10 George Shapovalov (RETIRED) gentoo-dev 2006-03-09 07:19:57 UTC
Ok, I am back and Keri has completed his 2nd quiz and recruiters should have it now (I went through it and had like two suggestions which are incorporated in the version Keri sent to recruiters). 
Meanwhile he was tackling at the swi-prolog and g-prolog packages and the are in quite a good shape I must say. I'd like to start committing this stuff and I would really like to have Keri do it (with my oversite of course).

So, this application all set as far as I am concerned. Can we please get Keri setup and this bug resolved?

George
Comment 11 Bryan Østergaard (RETIRED) gentoo-dev 2006-03-17 02:41:10 UTC
Set up but waiting for cvs access to be fixed + new dev announcement.
Comment 12 Mike Doty (RETIRED) gentoo-dev 2006-03-17 07:38:42 UTC
(In reply to comment #11)
> Set up but waiting for cvs access to be fixed + new dev announcement.
> 

uid should be fixed and cvs should sync shortly
Comment 13 George Shapovalov (RETIRED) gentoo-dev 2006-03-22 00:59:27 UTC
Thanks to recruiters and everybody involved!
Keri is set up fully now and we went through initial commits fine.
Closing the bug.

George
Comment 14 Pacho Ramos gentoo-dev 2017-06-22 08:18:38 UTC
He looks inactive
Comment 15 Pacho Ramos gentoo-dev 2017-07-03 08:00:18 UTC
He returned :)